## org.apache.lucene.spatial.geometry
Class CartesianPoint

    java.lang.Object
      org.apache.lucene.spatial.geometry.CartesianPoint

Deprecated.

    @Deprecated
    public class CartesianPoint

extends Object

Represents lat/lngs as fixed point numbers translated so that all world coordinates are in the first quadrant. The same fixed point scale as is used for FixedLatLng is employed.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`CartesianPoint(int x, int y)` Deprecated.

Method Summary
`boolean` `equals(Object obj)` Deprecated.
`int` `getX()` Deprecated.
`int` `getY()` Deprecated.
`int` `hashCode()` Deprecated.
`String` `toString()` Deprecated.
`CartesianPoint` `translate(int deltaX, int deltaY)` Deprecated. Return a new point translated in the x and y dimensions

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CartesianPoint

    public CartesianPoint(int x,
                          int y)

  Deprecated.

Method Detail

### getX

    public int getX()

  Deprecated.

### getY

    public int getY()

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### translate

    public CartesianPoint translate(int deltaX,
                                    int deltaY)

  Deprecated.
  Return a new point translated in the x and y dimensions

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`